Skip to content

Download Camera Trap Images

These routes allow users to retrieve images, obtain image hashes, or delete image hashes based on the device EUI.

GET /user/device/image/{eui}

This route allows users to retrieve all the images associated with a specific device EUI.

  • Example response
{
  "errors": [],
  "messages": [],
  "debug": [],
  "meta": [],
  "data": [
    {
      "hash": "5faa98cfd9b8d8ba827a10807ff60333",
      "ts_photo_unix": 1782074199,
      "ts_tx_unix": 1782058898,
      "ts_sync_unix": 1782058953,
      "lat": null,
      "lon": null,
      "annotations": [
        {
          "id": 0,
          "bbox": [0.43896484375, 0.372802734375, 0.1138916015625, 0.1324462890625],
          "score": 0.6903,
          "label": "eastern cottontail",
          "taxonomy": {
            "id": "667a4650-a141-4c4e-844e-58cdeaeb4bb2",
            "class": "mammalia",
            "order": "lagomorpha",
            "family": "leporidae",
            "genus": "sylvilagus",
            "species": "floridanus"
          }
        }
      ],
      "status": 5,
      "filename": "PICT1614.JPG"
    }
],
  "success": true
}

GET /user/device/image/{eui}/{image_hash}

This route retrieves the metadata of an image based on the cameras EUI and the hash of the image.

  • Example response
  {
  "errors": [],
  "messages": [],
  "debug": [],
  "meta": [],
  "data": {
    "hash": "776b30deb05235e447841bc821654333",
    "meta": {
      "uid": 17880761,
      "camera_ref": 173285,
      "ts_photo_unix": 1775744622,
      "ts_tx_unix": 1775723059,
      "ts_sync_unix": 1776027832,
      "spypoint_id": "69d76233e3f5ac1e1a530870",
      "url": "https://s3.amazonaws.com/spypoint-production-account-ehcpvywr/68aa271e7eaa74a5d4f09e68/6997510a29076130780dcfa4/20260409/PICT0281_202604090824HmfL8.jpg?X-Amz-Expires=86400&X-Amz-Date=20260412T210351Z&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIA4TENZYKLZ2QLZNPE%2F20260412%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-SignedHeaders=host&X-Amz-Signature=925af9a603d0cb5fd290877c136d27d9d72c2a5c1f19a7b7de6ce4dab1d0cb9c",
      "longitude": null,
      "latitude": null,
      "image_details": "null",
      "annotations": "[{\"id\":0,\"bbox\":[0.00069427490234375,0,0.99951171875,0.99755859375],\"score\":0.7833,\"label\":\"human\",\"taxonomy\":{\"id\":\"990ae9dd-7a59-4344-afcb-1b7b21368000\",\"class\":\"mammalia\",\"order\":\"primates\",\"family\":\"hominidae\",\"genus\":\"homo\",\"species\":\"sapiens\"}}]",
      "status": 4,
      "deleted": 0,
      "filename": "PICT0281.JPG",
      "hash": "776b30deb05235e447841bc821654333",
      "bin_hash": "ffe903dcdc519d0e0c48f9ffc548a888"
    },
    "images": {
      "thumb": "/9j/4AAQSkZJRgABAQEAYABgAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2ODApLCBxdWFsaXR5ID0gODAK/9sAQwAGBAUGBQQGBgUGBwcGCAoQCgoJCQoUDg8MEBcUGBgXFBYWGh0lHxobIxwWFiAsICMmJykqKRkfLTAtKDAlKCko/9sAQwEHBwcKCAoTCgoTKBoWGigoKCgoKCgoKCgoKCgoKCgoKCgoKCgoKCgoKCgoKCgoKCgoKCgoKCgoKCgoKCgoKCgo/8AAEQgAZACgAwEiAAIRAQMRAf/EAB8AAAEFAQEBAQEBAAAAAAAAAAABAgMEBQYHCAkKC//EALUQAAIBAwMCBAMHHH"
}
},
  "success": true
}

DELETE /user/device/image/{eui}/{image_hash}

This route allows users to delete a specific image associated with a device EUI using the image hash.